AJS.toInit(function($) {
    var PLUGIN_KEY = "com.atlassian.confluence.plugins.confluence-jira-content:create-JIRA-issue-summary";
    
    var $msgPanel = $("div.jira-issues-created");
    if ($msgPanel.length > 0) {
        //Trying to remove get parameters
        if (window.history && window.history.replaceState) {
            var currentPageHref = window.location.href;
            var originalPageHref = currentPageHref.substr(0, currentPageHref.indexOf("JIRAIssuesCreated") - 1);
            window.history.replaceState({}, document.title, originalPageHref);
        }
        var $contentMessage = $msgPanel.find("#jira-content-message-panel-error-warning");
        var $viewMoreLink = $msgPanel.find("#jira-content-message-panel-view-more-link");
        $viewMoreLink.click(function(e) {
            e.preventDefault();
            $viewMoreLink.hide();
            $contentMessage.show();
        });
        //Hide the success message panel after 10 seconds. Otherwise let user manually dismiss it.
        if ($msgPanel.hasClass("success")) {
            setTimeout(function() { $msgPanel.hide(); }, 10000);
        }
    }

    // check if plugin Confluence-highlight-action is enabled
    Confluence && Confluence.HighlightAction && Confluence.HighlightAction.registerButtonHandler(PLUGIN_KEY, {
        onClick: function(selectionObject) {
            if (Confluence.CreateJiraContent.FeatureDiscovery.shouldShowFeatureDiscovery()) {
                Confluence.CreateJiraContent.Dialogs.showFeatureDiscoveryDialog(selectionObject);
            } else {
                Confluence.CreateJiraContent.Dialogs.showCreateIssueDialog(selectionObject);
            }
        },
        shouldDisplay: Confluence.HighlightAction.WORKING_AREA.MAINCONTENT_ONLY // this plugin should be only works on Main Content
    });
});